<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">

<head>
    <title>Login </title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">



</head>
<body>
<div class="container">
    <div class="jumbotron text-center">
        <h1>Welcome Master </h1>
    </div>
    <p>
        <label>Welcome to the Admin Portal</label>
    </p>
    <hr>

    <table class="table table-bordered table-striped">
        <thead class="thead-dark">
        <tr>
            <th>First Name</th>
            <th>Last Name</th>
            <th>Username</th>
            <th>Email</th>
            <th>Action</th>
        </tr>
        </thead>
        <tbody>
        <tr th:each="user:${users}">
            <td th:text="${user.getFirstName()}"/>
            <td th:text="${user.getLastName()}"/>
            <td th:text="${user.getUserName()}"/>
            <td th:text="${user.getEmail()}"/>
            <td>
                <a th:if="${user.getEnabled()==1}" th:href="@{'/admin/user/'+${user.getUserName()}}" th:method="GET">

                    <button>Disable</button>

                </a>
                <a th:unless="${user.getEnabled()==1}" th:href="@{'/admin/user/enable/'+${user.getUserName()}}" th:method="GET">

                    <button>Enable</button>

                </a>


                <!--            <form action="#" th:action="@{/admin/delete/{userName} (userName = ${tempUser.getUserName()})}" th:object="${tempUser}"-->
                <!--                  method="post">-->
                <!--                <input type="submit" value="Delete">-->
                <!--            </form>-->
            </td>
        </tr>


        </tbody>
    </table>

</div>

</body>
</html>